Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.util
Class DoubleColumnRow

    java.lang.Object
      org.eclipse.emf.ecp.edit.internal.swt.util.DoubleColumnRow

All Implemented Interfaces:
  RenderingResultRow<org.eclipse.swt.widgets.Control>

Deprecated.

    @Deprecated
    public class DoubleColumnRow

extends Object
implements RenderingResultRow<org.eclipse.swt.widgets.Control>

Author:
  Eugen Neufeld

Constructor Summary
`DoubleColumnRow(org.eclipse.swt.widgets.Control leftControl, org.eclipse.swt.widgets.Control rightControl)` Deprecated. A `RenderingResultRow` which holds two `Controls`.

Method Summary
`Set<org.eclipse.swt.widgets.Control>` | `getControls()` Deprecated. Return all Controls which are held by this RenderingResultRow.
`org.eclipse.swt.widgets.Control` | `getLeftControl()` Deprecated.
`org.eclipse.swt.widgets.Control` | `getMainControl()` Deprecated.
`org.eclipse.swt.widgets.Control` | `getRightControl()` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleColumnRow

    public DoubleColumnRow(org.eclipse.swt.widgets.Control leftControl,
                           org.eclipse.swt.widgets.Control rightControl)

  Deprecated.
  A `RenderingResultRow` which holds two `Controls`.

  Parameters:
    `leftControl` - the Control for left Column
    `rightControl` - the Control for right Column

Method Detail

### getLeftControl

    public org.eclipse.swt.widgets.Control getLeftControl()

  Deprecated.
  Returns:
    the leftControl

### getRightControl

    public org.eclipse.swt.widgets.Control getRightControl()

  Deprecated.
  Returns:
    the rightControl

### getMainControl

    @Deprecated
    public org.eclipse.swt.widgets.Control getMainControl()

  Deprecated.

  The main control of the result row. This method is here for legacy.

  Specified by:
    `getMainControl` in interface `RenderingResultRow<org.eclipse.swt.widgets.Control>`
  Returns:
    the Control that is most important in this row
  See Also:
    `RenderingResultRow.getMainControl()`

### getControls

    public Set<org.eclipse.swt.widgets.Control> getControls()

  Deprecated.
  Return all Controls which are held by this RenderingResultRow.

  Specified by:
    `getControls` in interface `RenderingResultRow<org.eclipse.swt.widgets.Control>`
  Returns:
    the set of controls
  See Also:
    `RenderingResultRow.getControls()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.